### Enumeration

# Meta WindowType

#### Declaration

    enum Meta.WindowType

#### Description

No description available.

#### Members

`META_WINDOW_NORMAL`

  Normal.

  - Value: `0`
  - Available since: 16
`META_WINDOW_DESKTOP`

  Desktop.

  - Value: `1`
  - Available since: 16
`META_WINDOW_DOCK`

  Dock.

  - Value: `2`
  - Available since: 16
`META_WINDOW_DIALOG`

  Dialog.

  - Value: `3`
  - Available since: 16
`META_WINDOW_MODAL_DIALOG`

  Modal dialog.

  - Value: `4`
  - Available since: 16
`META_WINDOW_TOOLBAR`

  Toolbar.

  - Value: `5`
  - Available since: 16
`META_WINDOW_MENU`

  Menu.

  - Value: `6`
  - Available since: 16
`META_WINDOW_UTILITY`

  Utility.

  - Value: `7`
  - Available since: 16
`META_WINDOW_SPLASHSCREEN`

  Splashcreen.

  - Value: `8`
  - Available since: 16
`META_WINDOW_DROPDOWN_MENU`

  Dropdown menu.

  - Value: `9`
  - Available since: 16
`META_WINDOW_POPUP_MENU`

  Popup menu.

  - Value: `10`
  - Available since: 16
`META_WINDOW_TOOLTIP`

  Tooltip.

  - Value: `11`
  - Available since: 16
`META_WINDOW_NOTIFICATION`

  Notification.

  - Value: `12`
  - Available since: 16
`META_WINDOW_COMBO`

  Combobox.

  - Value: `13`
  - Available since: 16
`META_WINDOW_DND`

  Drag and drop.

  - Value: `14`
  - Available since: 16
`META_WINDOW_OVERRIDE_OTHER`

  Other override-redirect window type.

  - Value: `15`
  - Available since: 16